com.ihr.xbrl.gui.interfaces

## Enum RSRemoteCatalogGUI.Result

- java.lang.Object
- - java.lang.Enum<RSRemoteCatalogGUI.Result>
  - - com.ihr.xbrl.gui.interfaces.RSRemoteCatalogGUI.Result

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<RSRemoteCatalogGUI.Result>
  Enclosing interface:
    RSRemoteCatalogGUI

      public static enum RSRemoteCatalogGUI.Result
      extends java.lang.Enum<RSRemoteCatalogGUI.Result>

  The Enum Result.
  Author:
    Ignacio

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CANCEL` The cancel.
    `OK` The ok.
    `OK_IGNORE_NEXT_THIS_SESSION` The ok ignore next this session.
    `OK_IGNORE_REMEMBER_DECISSION` The ok ignore remember decission.
    `OK_INSTALL` The ok install.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RSRemoteCatalogGUI.Result` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static RSRemoteCatalogGUI.Result[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OK

          public static final RSRemoteCatalogGUI.Result OK

      The ok.

    - #### CANCEL

          public static final RSRemoteCatalogGUI.Result CANCEL

      The cancel.

    - #### OK_IGNORE_NEXT_THIS_SESSION

          public static final RSRemoteCatalogGUI.Result OK_IGNORE_NEXT_THIS_SESSION

      The ok ignore next this session.

    - #### OK_IGNORE_REMEMBER_DECISSION

          public static final RSRemoteCatalogGUI.Result OK_IGNORE_REMEMBER_DECISSION

      The ok ignore remember decission.

    - #### OK_INSTALL

          public static final RSRemoteCatalogGUI.Result OK_INSTALL

      The ok install.

  - ### Method Detail

    - #### values

          public static RSRemoteCatalogGUI.Result[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RSRemoteCatalogGUI.Result c : RSRemoteCatalogGUI.Result.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RSRemoteCatalogGUI.Result valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null